You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@etch.apache.org by sc...@apache.org on 2009/02/04 18:04:21 UTC

svn commit: r740792 - /incubator/etch/trunk/scripts/

Author: sccomer
Date: Wed Feb  4 17:04:20 2009
New Revision: 740792

URL: http://svn.apache.org/viewvc?rev=740792&view=rev
Log:
fix for ETCH-52: merge changes from 1.0.2 branch to trunk - 739277 update eclipse build

this adds eclipse external tools for linux. and renames the external tools for windows
to have Win in their name.

Added:
    incubator/etch/trunk/scripts/Compile Csharp Etch Files Lnx.launch
    incubator/etch/trunk/scripts/Compile Csharp Etch Files Win.launch
    incubator/etch/trunk/scripts/Compile Java Etch Files Lnx.launch
    incubator/etch/trunk/scripts/Compile Java Etch Files Win.launch
    incubator/etch/trunk/scripts/Compile Xml Etch Files Lnx.launch
    incubator/etch/trunk/scripts/Compile Xml Etch Files Win.launch
    incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash   (with props)
    incubator/etch/trunk/scripts/compEtchFilesForJava.bash   (with props)
    incubator/etch/trunk/scripts/compEtchFilesForXml.bash   (with props)
    incubator/etch/trunk/scripts/etch-eclipse.bash   (with props)
Removed:
    incubator/etch/trunk/scripts/Compile Csharp Etch Files.launch
    incubator/etch/trunk/scripts/Compile Java Etch Files.launch
    incubator/etch/trunk/scripts/Compile Xml Etch Files.launch
Modified:
    incubator/etch/trunk/scripts/compEtchFilesForCsharp.bat
    incubator/etch/trunk/scripts/compEtchFilesForJava.bat
    incubator/etch/trunk/scripts/compEtchFilesForXml.bat

Added: incubator/etch/trunk/scripts/Compile Csharp Etch Files Lnx.launch
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/Compile%20Csharp%20Etch%20Files%20Lnx.launch?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/Compile Csharp Etch Files Lnx.launch (added)
+++ incubator/etch/trunk/scripts/Compile Csharp Etch Files Lnx.launch Wed Feb  4 17:04:20 2009
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<launchConfiguration type="org.eclipse.ui.externaltools.ProgramLaunchConfigurationType">
+<stringAttribute key="org.eclipse.debug.core.ATTR_REFRESH_SCOPE" value="${project}"/>
+<booleanAttribute key="org.eclipse.debug.core.appendEnvironmentVariables" value="true"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_LOCATION" value="${project_loc}/scripts/compEtchFilesForCsharp.bash"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_WORKING_DIRECTORY" value="${project_loc}"/>
+</launchConfiguration>

Added: incubator/etch/trunk/scripts/Compile Csharp Etch Files Win.launch
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/Compile%20Csharp%20Etch%20Files%20Win.launch?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/Compile Csharp Etch Files Win.launch (added)
+++ incubator/etch/trunk/scripts/Compile Csharp Etch Files Win.launch Wed Feb  4 17:04:20 2009
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<launchConfiguration type="org.eclipse.ui.externaltools.ProgramLaunchConfigurationType">
+<stringAttribute key="org.eclipse.debug.core.ATTR_REFRESH_SCOPE" value="${project}"/>
+<booleanAttribute key="org.eclipse.debug.core.appendEnvironmentVariables" value="true"/>
+<listAttribute key="org.eclipse.debug.ui.favoriteGroups">
+<listEntry value="org.eclipse.ui.externaltools.launchGroup"/>
+</listAttribute>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_LOCATION" value="${project_loc}/scripts/compEtchFilesForCsharp.bat"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_WORKING_DIRECTORY" value="${project_loc}"/>
+</launchConfiguration>

Added: incubator/etch/trunk/scripts/Compile Java Etch Files Lnx.launch
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/Compile%20Java%20Etch%20Files%20Lnx.launch?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/Compile Java Etch Files Lnx.launch (added)
+++ incubator/etch/trunk/scripts/Compile Java Etch Files Lnx.launch Wed Feb  4 17:04:20 2009
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<launchConfiguration type="org.eclipse.ui.externaltools.ProgramLaunchConfigurationType">
+<stringAttribute key="org.eclipse.debug.core.ATTR_REFRESH_SCOPE" value="${project}"/>
+<booleanAttribute key="org.eclipse.debug.core.appendEnvironmentVariables" value="true"/>
+<booleanAttribute key="org.eclipse.debug.ui.ATTR_LAUNCH_IN_BACKGROUND" value="false"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_LOCATION" value="${project_loc}/scripts/compEtchFilesForJava.bash"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_WORKING_DIRECTORY" value="${project_loc}"/>
+</launchConfiguration>

Added: incubator/etch/trunk/scripts/Compile Java Etch Files Win.launch
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/Compile%20Java%20Etch%20Files%20Win.launch?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/Compile Java Etch Files Win.launch (added)
+++ incubator/etch/trunk/scripts/Compile Java Etch Files Win.launch Wed Feb  4 17:04:20 2009
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<launchConfiguration type="org.eclipse.ui.externaltools.ProgramLaunchConfigurationType">
+<stringAttribute key="org.eclipse.debug.core.ATTR_REFRESH_SCOPE" value="${project}"/>
+<booleanAttribute key="org.eclipse.debug.core.appendEnvironmentVariables" value="true"/>
+<booleanAttribute key="org.eclipse.debug.ui.ATTR_LAUNCH_IN_BACKGROUND" value="false"/>
+<listAttribute key="org.eclipse.debug.ui.favoriteGroups">
+<listEntry value="org.eclipse.ui.externaltools.launchGroup"/>
+</listAttribute>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_LOCATION" value="${project_loc}/scripts/compEtchFilesForJava.bat"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_WORKING_DIRECTORY" value="${project_loc}"/>
+</launchConfiguration>

Added: incubator/etch/trunk/scripts/Compile Xml Etch Files Lnx.launch
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/Compile%20Xml%20Etch%20Files%20Lnx.launch?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/Compile Xml Etch Files Lnx.launch (added)
+++ incubator/etch/trunk/scripts/Compile Xml Etch Files Lnx.launch Wed Feb  4 17:04:20 2009
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<launchConfiguration type="org.eclipse.ui.externaltools.ProgramLaunchConfigurationType">
+<stringAttribute key="org.eclipse.debug.core.ATTR_REFRESH_SCOPE" value="${project}"/>
+<booleanAttribute key="org.eclipse.debug.core.appendEnvironmentVariables" value="true"/>
+<booleanAttribute key="org.eclipse.debug.ui.ATTR_LAUNCH_IN_BACKGROUND" value="false"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_LOCATION" value="${project_loc}/scripts/compEtchFilesForXml.bash"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_WORKING_DIRECTORY" value="${project_loc}"/>
+</launchConfiguration>

Added: incubator/etch/trunk/scripts/Compile Xml Etch Files Win.launch
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/Compile%20Xml%20Etch%20Files%20Win.launch?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/Compile Xml Etch Files Win.launch (added)
+++ incubator/etch/trunk/scripts/Compile Xml Etch Files Win.launch Wed Feb  4 17:04:20 2009
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<launchConfiguration type="org.eclipse.ui.externaltools.ProgramLaunchConfigurationType">
+<stringAttribute key="org.eclipse.debug.core.ATTR_REFRESH_SCOPE" value="${project}"/>
+<booleanAttribute key="org.eclipse.debug.core.appendEnvironmentVariables" value="true"/>
+<booleanAttribute key="org.eclipse.debug.ui.ATTR_LAUNCH_IN_BACKGROUND" value="false"/>
+<listAttribute key="org.eclipse.debug.ui.favoriteGroups">
+<listEntry value="org.eclipse.ui.externaltools.launchGroup"/>
+</listAttribute>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_LOCATION" value="${project_loc}/scripts/compEtchFilesForXml.bat"/>
+<stringAttribute key="org.eclipse.ui.externaltools.ATTR_WORKING_DIRECTORY" value="${project_loc}"/>
+</launchConfiguration>

Added: incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash (added)
+++ incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash Wed Feb  4 17:04:20 2009
@@ -0,0 +1,57 @@
+#!/usr/local/bin/bash
+
+set -e
+#set -x
+
+q=-q
+b="-b csharp"
+d="-d ../../../target/generated-sources/main/etch/csharp"
+i="-I ."
+n=-n
+
+walf="-w all,force"
+ 
+testsdir=tests/src/main/etch
+examplesdir=examples
+
+x=`pwd`/
+
+pushd $testsdir > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Async.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Bar.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Baz.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        BigIdl.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Closing.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Cuae.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Foo.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Inheritance.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i $walf  Test1.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test2.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test3.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test4.etch
+# *** Test5.etch is a negative test ***
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test6.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i $walf  TestIncludes.etch
+# *** TestReservedWords.etch is a negative test ***
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Types.etch
+popd > /dev/null
+
+pushd $examplesdir > /dev/null
+
+pushd chat/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Chat.etch
+popd > /dev/null
+
+pushd distmap/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        DistributedHashTable.etch
+popd > /dev/null
+
+pushd example/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Example.etch
+popd > /dev/null
+
+pushd perf/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Perf.etch
+popd > /dev/null
+
+popd > /dev/null

Propchange: incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/etch/trunk/scripts/compEtchFilesForCsharp.bash
------------------------------------------------------------------------------
    svn:executable = *

Modified: incubator/etch/trunk/scripts/compEtchFilesForCsharp.bat
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/compEtchFilesForCsharp.bat?rev=740792&r1=740791&r2=740792&view=diff
==============================================================================
--- incubator/etch/trunk/scripts/compEtchFilesForCsharp.bat (original)
+++ incubator/etch/trunk/scripts/compEtchFilesForCsharp.bat Wed Feb  4 17:04:20 2009
@@ -31,7 +31,7 @@
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Types.etch
 
 @popd
-@cd %examplesdir%
+@pushd %examplesdir%
 
 @pushd chat\src\main\etch
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Chat.etch
@@ -49,4 +49,4 @@
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Perf.etch
 @popd
 
-@popd
\ No newline at end of file
+@popd

Added: incubator/etch/trunk/scripts/compEtchFilesForJava.bash
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/compEtchFilesForJava.bash?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/compEtchFilesForJava.bash (added)
+++ incubator/etch/trunk/scripts/compEtchFilesForJava.bash Wed Feb  4 17:04:20 2009
@@ -0,0 +1,57 @@
+#!/usr/local/bin/bash
+
+set -e
+#set -x
+
+q=-q
+b="-b java"
+d="-d ../../../target/generated-sources/main/etch/java"
+i="-I ."
+n=-n
+
+walf="-w all,force"
+ 
+testsdir=tests/src/main/etch
+examplesdir=examples
+
+x=`pwd`/
+
+pushd $testsdir > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Async.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Bar.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Baz.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        BigIdl.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Closing.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Cuae.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Foo.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Inheritance.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i $walf  Test1.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test2.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test3.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test4.etch
+# *** Test5.etch is a negative test ***
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test6.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i $walf  TestIncludes.etch
+# *** TestReservedWords.etch is a negative test ***
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Types.etch
+popd > /dev/null
+
+pushd $examplesdir > /dev/null
+
+pushd chat/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Chat.etch
+popd > /dev/null
+
+pushd distmap/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        DistributedHashTable.etch
+popd > /dev/null
+
+pushd example/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Example.etch
+popd > /dev/null
+
+pushd perf/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Perf.etch
+popd > /dev/null
+
+popd > /dev/null

Propchange: incubator/etch/trunk/scripts/compEtchFilesForJava.bash
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/etch/trunk/scripts/compEtchFilesForJava.bash
------------------------------------------------------------------------------
    svn:executable = *

Modified: incubator/etch/trunk/scripts/compEtchFilesForJava.bat
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/compEtchFilesForJava.bat?rev=740792&r1=740791&r2=740792&view=diff
==============================================================================
--- incubator/etch/trunk/scripts/compEtchFilesForJava.bat (original)
+++ incubator/etch/trunk/scripts/compEtchFilesForJava.bat Wed Feb  4 17:04:20 2009
@@ -5,9 +5,8 @@
 @set n=-n
 
 @set walf=-w all,force
- 
+
 @set testsdir=tests\src\main\etch
-@rem set xmlcompilertestdir=src/etch/bindings/xml/compiler/test
 @set examplesdir=examples
 
 @set x=%CD%\
@@ -32,7 +31,7 @@
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Types.etch
 
 @popd
-@cd %examplesdir%
+@pushd %examplesdir%
 
 @pushd chat\src\main\etch
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Chat.etch
@@ -51,8 +50,3 @@
 @popd
 
 @popd
-
-@rem set b=-b xml
-
-@rem call bin\etch %q% %b% %d% %i% %xmlcompilertestdir%/Test.etch
-@rem call bin\etch %q% %b% %d% %i% %xmlcompilertestdir%/mixin/Foo.etch

Added: incubator/etch/trunk/scripts/compEtchFilesForXml.bash
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/compEtchFilesForXml.bash?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/compEtchFilesForXml.bash (added)
+++ incubator/etch/trunk/scripts/compEtchFilesForXml.bash Wed Feb  4 17:04:20 2009
@@ -0,0 +1,57 @@
+#!/usr/local/bin/bash
+
+set -e
+#set -x
+
+q=-q
+b="-b xml"
+d="-d ../../../target/generated-sources/main/etch/xml"
+i="-I ."
+n=-n
+
+walf="-w all,force"
+ 
+testsdir=tests/src/main/etch
+examplesdir=examples
+
+x=`pwd`/
+
+pushd $testsdir > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Async.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Bar.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Baz.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        BigIdl.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Closing.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Cuae.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Foo.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Inheritance.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i $walf  Test1.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test2.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test3.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test4.etch
+# *** Test5.etch is a negative test ***
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Test6.etch
+${x}scripts/etch-eclipse.bash $q $b $n $d $i $walf  TestIncludes.etch
+# *** TestReservedWords.etch is a negative test ***
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Types.etch
+popd > /dev/null
+
+pushd $examplesdir > /dev/null
+
+pushd chat/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Chat.etch
+popd > /dev/null
+
+pushd distmap/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        DistributedHashTable.etch
+popd > /dev/null
+
+pushd example/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Example.etch
+popd > /dev/null
+
+pushd perf/src/main/etch > /dev/null
+${x}scripts/etch-eclipse.bash $q $b $n $d $i        Perf.etch
+popd > /dev/null
+
+popd > /dev/null

Propchange: incubator/etch/trunk/scripts/compEtchFilesForXml.bash
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/etch/trunk/scripts/compEtchFilesForXml.bash
------------------------------------------------------------------------------
    svn:executable = *

Modified: incubator/etch/trunk/scripts/compEtchFilesForXml.bat
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/compEtchFilesForXml.bat?rev=740792&r1=740791&r2=740792&view=diff
==============================================================================
--- incubator/etch/trunk/scripts/compEtchFilesForXml.bat (original)
+++ incubator/etch/trunk/scripts/compEtchFilesForXml.bat Wed Feb  4 17:04:20 2009
@@ -3,7 +3,9 @@
 @set d=-d ../../../target/generated-sources/main/etch/xml
 @set i=-I .
 @set n=-n
- 
+
+@set walf=-w all,force
+
 @set testsdir=tests\src\main\etch
 @set examplesdir=examples
 
@@ -29,7 +31,7 @@
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Types.etch
 
 @popd
-@cd %examplesdir%
+@pushd %examplesdir%
 
 @pushd chat\src\main\etch
 @call %x%scripts\etch-eclipse.bat %q% %b% %n% %d% %i%        Chat.etch

Added: incubator/etch/trunk/scripts/etch-eclipse.bash
URL: http://svn.apache.org/viewvc/incubator/etch/trunk/scripts/etch-eclipse.bash?rev=740792&view=auto
==============================================================================
--- incubator/etch/trunk/scripts/etch-eclipse.bash (added)
+++ incubator/etch/trunk/scripts/etch-eclipse.bash Wed Feb  4 17:04:20 2009
@@ -0,0 +1,27 @@
+#!/usr/local/bin/bash
+
+#set -x
+set -e
+
+#echo etch $*
+#exit
+
+# Copyright 2008 Cisco Systems
+# This script is for the support of the various launch configurations
+# used with eclipse.
+
+if test -z "$ETCH_DEPENDENT_JARS"; then
+echo Environment variable ETCH_DEPENDENT_JARS not set.
+exit 1
+fi
+
+ETCH_HOME=`dirname "$0"`/..
+
+if test \! -d "$ETCH_HOME/bin/etch"; then
+#echo Cannot find etch classes.
+exit 1
+fi
+
+#echo java -cp "$ETCH_HOME/bin:$ETCH_DEPENDENT_JARS" etch.compiler.EtchMain ${1+"$@"}
+echo etch ${1+"$@"}
+java -cp "$ETCH_HOME/bin:$ETCH_DEPENDENT_JARS" etch.compiler.EtchMain ${1+"$@"}

Propchange: incubator/etch/trunk/scripts/etch-eclipse.bash
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/etch/trunk/scripts/etch-eclipse.bash
------------------------------------------------------------------------------
    svn:executable = *